<bugID>1298449<Summary>Add hover effect to the zoom indicator in the location bar</Summary><Description>Created attachment 8785396
zoom.mov

I think the current experience provided by this icon has a lot of room for improvement.

First of all, the zoom indicator only shows when the percentage is not 100%.  Why not show it when it's at 100%?

Secondly, nothing happens to the icon immediately on hover to indicate that it has a click handler.  I think displaying a simple highlight effect would make it more clear to the user that this icon can be clicked.  (several of the other icons could use this tiny improvement as well - the Reload icon, the "Show history" icon, and the green security icon/text).

Lastly, and most importantly, clicking the zoom percentage indicator makes it disappear and the page resets to the default zoom level. I think this experience could really be improved.  Clicking on the zoom percentage could show a small popup with a slider that lets you control the zoom.  I think this would provide a much more intuitive and functional experience than what currently exists.

I really hope we can improve this experience.</Description></bugID>